SessionHandlerInterface::gc
SessionHandlerInterface::read
SessionHandlerInterface
PHP Manual

# SessionHandlerInterface::open

(PHP 5 >= 5.4.0)

SessionHandlerInterface::open — Initialize session

### Description

abstract public bool SessionHandlerInterface::open ( string `$save_path` , string `$name` )

Re-initialize existing session, or creates a new one. Called when a session starts or when session_start() is invoked.

### Parameters

`save_path`

  The path where to store/retrieve the session.

`name`

  The session name.

### Return Values

The return value (usually `TRUE` on success, `FALSE` on failure). Note this value is returned internally to PHP for processing.

### See Also

- session_name() - Get and/or set the current session name
- The session.auto-start configuration directive.

SessionHandlerInterface::gc
SessionHandlerInterface::read
SessionHandlerInterface
PHP Manual